// SNF4CGP/OutputProcessor.cpp
// Copyright (C) 2009 ARM Research Labs, LLC.
// See www.armresearch.com for more information.

#include "OutputProcessor.hpp"

const ThreadType OutputProcessor::Type("Output Processor");
const ThreadState OutputProcessor::WaitingForJobs("Waiting");
const ThreadState OutputProcessor::PostingResponses("Posting");

OutputProcessor::OutputProcessor(JobPool& J) :                                  // Constructor sets up the basics.
  Thread(OutputProcessor::Type, "Output"),                                      // Name the thread.
  RecycledJobs(J),                                                              // Tie in to the JobPool.
  isTimeToStop(false) {}                                                        // Not time to stop.

OutputProcessor::~OutputProcessor() {                                           // Destructor to clean things up.
}

void OutputProcessor::start() {                                                 // Start processing.
}

void OutputProcessor::outputJob(Job* J) {                                       // Take this job and ... you know.
}

void OutputProcessor::stop() {                                                  // Finish off the queue and quit.
}

void OutputProcessor::myTask() {                                                // This is how we do it.
}
